// 004 u_ib_dbx_create_base
// 10 oct 2004

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)
unit u_ib_dbx_create_base;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Db, DBTables, Grids, DBGrids, ComCtrls,
  IBCustomDataSet, IBQuery, IBDatabase, IBTable;

type
  TForm1 = class(TForm)
    IBDatabase1: TIBDatabase;
    create_database_: TButton;
    Memo1: TMemo;
    IBTransaction1: TIBTransaction;
    open_database_: TButton;
    IBDatabase2: TIBDatabase;
    procedure FormCreate(Sender: TObject);
    procedure create_database_Click(Sender: TObject);
    procedure open_database_Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation
    uses u_c_log, u_c_display
      , u_file
      ;

    {$R *.DFM}


    const k_database_path= '..\data\';
            k_database_name= 'Institut_Pascal.gdb';

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.create_database_Click(Sender: TObject);
      begin
        IbDatabase2.Close;
        
        with IbDatabase1, Params do
        begin
          Connected:= False;

          display('create '+ k_database_path);
          display('  '+ k_database_name);

          If FileExists(k_database_path+ k_database_name)
            Then begin
                display('Erase');
                f_erase(k_database_path+ k_database_name);
              end;

          DatabaseName:= k_database_path+ k_database_name;
          SqlDialect:= 3;
          Clear;

          Add('USER "sysdba"');
          Add('PASSWORD "masterkey"');
          Add('PAGE_SIZE 4096');

          CreateDatabase;
        end;
      end; // create_database_Click

    procedure TForm1.open_database_Click(Sender: TObject);
      begin
        with IbDatabase2 do
        begin
          display(DataBaseName);
          Open;
          Display(IntToStr(SqlDialect));
        end;
      end; // open_database_Click


end.


                                                          
